<template>
  <div class="PublicDetailedList">
    <el-table :data="tableData" max-height="600px" border>
          <el-table-column prop="MonTimeStr" label="监测时间"></el-table-column>
          <el-table-column  label="氮氧化物">
              <el-table-column prop="MonQty"  width="70">
                <template slot="header">浓度 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="OrglQty"  width="70">
                <template slot="header">折算值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="ConvertQty"  width="70">
                <template slot="header">标准值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="EmissQty"  width="70">
                <template slot="header">排放量 <i>(kg/h)</i></template>
              </el-table-column>
          </el-table-column>
          <el-table-column label="二氧化硫">
              <el-table-column prop="MonQty"  width="60">
                <template slot="header">浓度 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="OrglQty"  width="60">
                <template slot="header">折算值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="ConvertQty"  width="60">
                <template slot="header">标准值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="EmissQty"  width="60">
                <template slot="header">排放量 <i>(kg/h)</i></template>
              </el-table-column>
          </el-table-column>
          <el-table-column  label="烟尘">
              <el-table-column prop="MonQty"  width="60">
                <template slot="header">浓度 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="OrglQty"  width="60">
                <template slot="header">折算值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="ConvertQty"  width="60">
                <template slot="header">标准值 <i>(mg/m³)</i></template>
              </el-table-column>
              <el-table-column prop="EmissQty" label="排放量" width="60">
                <template slot="header">排放量 <i>(kg/h)</i></template>
              </el-table-column>
          </el-table-column>
          <el-table-column  label="废气流量" width="100">
              <el-table-column prop="StdValue" label="气量"></el-table-column>
          </el-table-column>
          <el-table-column prop="OnLineMonEmissPointName" label="排放点"></el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  name: 'PublicDetailedList',
  data () {
    return {
      tableData: []
    }
  },
  mounted () {
    console.log(this.$attrs.value)
    if (this.$attrs.value === 'feiqi') {
      this.tableData = this.$attrs.getWasteGasDetails
      // console.log(this.$attrs.getWasteGasDetails)
    } else if (this.$attrs.value === 'feishui') {
      this.tableData = this.$attrs.getWasteWaterMonitoringDetails
      // console.log(this.$attrs.getWasteWaterMonitoringDetails)
    }
  }
}

</script>

<style scoped>
.PublicDetailedList{
  /*height: 100%*/
}
</style>
